#!/usr/bin/env python3
# -*- coding: utf-8 -*-
# Copyright (C) 2021 tribe29 GmbH - License: GNU General Public License v2
# This file is part of Checkmk (https://checkmk.com). It is subject to the terms and
# conditions defined in the file COPYING, which is part of this source code package.

from cmk.gui.i18n import _
from cmk.gui.plugins.metrics import (
    metric_info,
    graph_info,
)

metric_info["rki_covid_weekIncidence"] = {
        "title": _("Week Incidence"),
        "unit": "count",
        "color": "#00d1ff",
        }

metric_info["rki_covid_count"] = {
        "title": _("Infected"),
        "unit": "count",
        "color": "#ffd100",
        }

metric_info["rki_covid_deaths"] = {
        "title": _("Deaths"),
        "unit": "count",
        "color": "#00ffd1",
        }

metric_info["rki_covid_casesPer100k"] = {
        "title": _("Count per 100k"),
        "unit": "count",
        "color": "#ff00d1",
        }

graph_info["rki_covid_weekIncidence"] = {
    "title": "Week Incidence",
    "metrics": [
        ("rki_covid_weekIncidence", "area"),
    ],
}

graph_info["occurrences"] = {
    "title": "Occurrences",
    "metrics": [
        ("rki_covid_deaths", "area"),
        ("rki_covid_count", "area"),
    ],
}

graph_info["rki_covid_casesPer100k"] = {
    "title": "Count per 100k",
    "metrics": [
        ("rki_covid_casesPer100k", "area"),
    ],
}
